{ ... }:
{
    boot.initrd.supportedFilesystems = [ "zfs" ];
    boot.supportedFilesystems = [ "zfs" ];
    services.zfs.autoScrub.enable = true;
    services.sanoid = {
        enable = true;
        interval = "*:0,15,30,45:00";
        datasets = {
            "rpool/home" = {
                frequently = 8;
                yearly = 0;
                monthly = 0;
                weekly = 0;
                daily = 0;
                hourly = 0;
                frequent_period = 15;
                autoprune = true;
                autosnap = true;
            };
            "rpool/storage" = {
                frequently = 8;
                yearly = 0;
                monthly = 0;
                weekly = 0;
                daily = 0;
                hourly = 0;
                frequent_period = 15;
                autoprune = true;
                autosnap = true;
            };
        };
    };
}
